Package org.pushingpixels.trident

# Class TimelineRunnable

java.lang.Object
org.pushingpixels.trident.TimelineRunnable

All Implemented Interfaces:
  `Runnable`, `TimelineScenario.TimelineScenarioActor`

public abstract class TimelineRunnable extends Object implements Runnable, TimelineScenario.TimelineScenarioActor

## Constructor Summary

Constructors
Constructor
Description
`TimelineRunnable()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isDone()`
`void`
`play()`
`void`
`resetDoneFlag()`
`boolean`
`supportsReplay()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

## Constructor Details

### TimelineRunnable

public TimelineRunnable()

## Method Details

### play

public void play()

Specified by:
  `play` in interface `TimelineScenario.TimelineScenarioActor`

### isDone

public boolean isDone()

Specified by:
  `isDone` in interface `TimelineScenario.TimelineScenarioActor`

### supportsReplay

public boolean supportsReplay()

Specified by:
  `supportsReplay` in interface `TimelineScenario.TimelineScenarioActor`

### resetDoneFlag

public void resetDoneFlag()

Specified by:
  `resetDoneFlag` in interface `TimelineScenario.TimelineScenarioActor`